%global mod_name flask-whooshee

Name:           python-flask-whooshee
Version:        0.4.1
Release:        3%{?dist}
Summary:        Whoosh integration

License:        GPLv2+
URL:            https://github.com/bkabrda/flask-whooshee
Source0:        https://pypi.python.org/packages/source/f/%{mod_name}/%{mod_name}-%{version}.tar.gz
# https://github.com/bkabrda/flask-whooshee/pull/19
Patch1:         auto_update.patch
BuildArch:      noarch


%global _description \
Whoosh integration that allows to create and search custom indexes.

%description %{_description}

%package -n     python2-%{mod_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{mod_name}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python-whoosh
%if 0%{?fedora} < 25
BuildRequires: python-flask
%else
BuildRequires: python2-flask
%endif
BuildRequires:  python2-flask-sqlalchemy
BuildRequires:  python-blinker
BuildRequires:  python2-nose

Requires:       python2-flask-sqlalchemy
Requires:       python-whoosh
Requires:       python-blinker
%if 0%{?fedora} < 25
Requires: python-flask
%else
Requires: python2-flask
%endif

%description -n python2-%{mod_name} %{_description}

Python 2 version.

%package -n python3-%{mod_name}
Summary:        Whoosh integration
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-whoosh
BuildRequires:  python3-flask
BuildRequires:  python3-flask-sqlalchemy
BuildRequires:  python3-blinker
BuildRequires:  python3-nose

Requires:       python3-flask-sqlalchemy
Requires:       python3-whoosh
Requires:       python3-blinker
Requires:       python3-flask

%description -n python3-%{mod_name} %{_description}

Python 3 version.

%prep
%autosetup -n %{mod_name}-%{version}

%build
%py2_build
%py3_build

%check
%{__python2} setup.py test

%{__python3} setup.py test

%install
%py2_install
%py3_install

%files -n python2-%{mod_name}
%doc LICENSE README.md
%{python2_sitelib}/flask_whooshee.py*
%{python2_sitelib}/*.egg-info

%files -n python3-%{mod_name}
%doc LICENSE README.md
%{python3_sitelib}/


%changelog
* Tue May 02 2017 clime <clime@redhat.com> - 0.4.1-3
- Make it f24 compatible

* Sun Feb 05 2017 Robert Kuska <rkuska@gmail.com> - 0.4.1-2
- Follow the latest guidelines

* Tue Jan 31 2017 Robert Kuska <rkuska@gmail.com> - 0.4.1-1
- Update to 0.4.1

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.0.7-5
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.7-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Wed Sep 02 2015 Robert Kuska <rkuska@redhat.com> - 0.0.7-1
- Update to 0.0.7

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jul 03 2014 Robert Kuska <rkuska@redhat.com> - 0.0.6-4
- Move Python 3 Requires into correct place

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 16 2014 Robert Kuska <rkuska@redhat.com> - 0.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Wed Dec 18 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.0.6-1
- Update to flask-whooshee 0.0.6.
- Drop py3 compat patch, since it's now upstream.
- Use buildroot macro consistently.

* Fri Oct 04 2013 Robert Kuska <rkuska@redhat.com> 0.0.5-4
- Add python3 subpackage

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 11 2013 Robert Kuska <rkuska@redhat.com> 0.0.5-2
- Review fixes

* Wed Apr 10 2013 Robert Kuska <rkuska@redhat.com> 0.0.5-1
- Initial package
